%            [res,d] = SAM_findth (data,th,c0)
%
% given the desidered fdr run SAM until finds it
%
% INPUT:
%  data = prtools dataset with two class problem
%    th = desidered fdr
% delta = range of delta to try, default [0.1:0.01:1];
% n_perm= number of permutation for the SAM, default 1000.
%
% OUTPUT
%  res = struct with all parameter
%    d = desired parameter for the SAM

function [res,d] = SAM_findth (data,th,delta,n_perm,savedir)
	
	if nargin<3 
		delta=[0.1:0.01:1];
	end
	if isempty(delta)
		delta=[0.1:0.01:1];
	end
	
	if nargin<4
		n_perm=1000;
	end
%	cbig=0.1;
	try
	[j,delta,fdr,pfdr,q,s,ps,s0,n_called] = sam_my_out(data,delta,n_perm,2);
	catch
		keyboard
	end
	
	% choose the appropriate delta
	[tmp,ind]=find(fdr<=th);
	if length(ind)>=2;
		% this is more robust if fdr is monotonically going down
		% otherwise is better the stik to the 1st delta value
		if fdr(ind(2)<=th)
			d= delta(ind(2));
		else
			d= delta(ind(1));
		end
		
	else if length(ind)==1;
			d= delta(ind);
	     else
		warning('no optimal delta found for the desired threshold');
		d=[];
	     end
	end
	res.d=delta;
	res.fdr=fdr;
	res.n_called=n_called;

	figure
	subplot(2,1,1)
	plot(res.d,res.fdr);
	hold on
	plot(res.d,res.fdr,'.');
	xlabel('delta');
	ylabel('FDR');
	ttt=[data.name,' SAM iter: ',num2str(n_perm)];
	title(ttt);	grid on

	subplot(2,1,2)
	plot(res.d,res.n_called);
	hold on
	plot(res.d,res.n_called,'.');
	axis([min(res.d) max(res.d) 0 500]) % NBNBNB 
	xlabel('delta');
	ylabel('Number of selected features');
	ttt=[data.name,' SAM iter: ',num2str(n_perm)];
	title(ttt);
	grid on
	
	if exist('utili.savedir','var')
		plotname=[utili.cghname,'deltaAndRelevantclones.png'];
		saveplotname=[utili.savedir,plotname];
		eval('saveas(gcf,saveplotname,''png'')');
	end
	
	return

	