
% given two thresholds compute the percentage that a gene/clone is up or
% down for the two classes.

function [class1up,class1dn,class2up,class2dn]=get_UpDown_perclass (data,l,thup,thdn);
	lab=unique(l);
	if length(lab) ~= 2;
		error('it is not a two class problem')
	end
	
	[m,n]=size(data.data);
	% class1
	one=find(l==lab(1));
	
        tmpup=repmat(thup,length(one),n);
	tmpdn=repmat(thdn,length(one),n);
	class1up=sum(data.data(one,:)>=tmpup)./length(one).*100;
	class1dn=sum(data.data(one,:)<=tmpdn)./length(one).*100;
	
	% class2
	one=find(l==lab(2));
	
        tmpup=repmat(thup,length(one),n);
	tmpdn=repmat(thdn,length(one),n);
	class2up=sum(data.data(one,:)>=tmpup)./length(one).*100;
	class2dn=sum(data.data(one,:)<=tmpdn)./length(one).*100;
