function [max_pos_left, max_pos_right, max_val] = interp_local_max(x)
x = x(:);
% Differentiate and find maxima's
diffvec             = x(2:end)-x(1:end-1);
%Make a tri-state vector indicating the transitions
tristate            = zeros(size(diffvec));
tristate(diffvec>0) =1; tristate(diffvec==0)=0; tristate(diffvec<0)=-1;
%find the flat parts
non_flat_index      = find(tristate~=0);
bistate             = tristate(tristate~=0);
%Find the 1 --> -1 transitions
trans_vec           = bistate(1:end-1)-bistate(2:end);
trans_index         = find(trans_vec==2);
if isempty(trans_index)
    warning('No local maxima!')
    max_pos_left = []; max_pos_right = []; max_val = [];
    return
end
max_pos_left             = non_flat_index(trans_index)+1;
max_pos_right            = non_flat_index(trans_index+1);
max_val             = x(max_pos_left);