%
%    d=mapgene2clone (cghcum,cghch,mrnacum,mrnach)
%
% INPUT: 
%  cghcum = cumulative distance of the mid position for the clones
%   cghch = chromosome location of the clone
% mrnacum = cumulative distance of the mid position for the genes
%  mrnach = chromosome location of the gene
%
% OUTPUT: 
%    map  = matrix nx2 with n gene and 
%           1st position the index of the closest cgh clone and 
%           2nd the distance from it.
%
% DESCRIPTION:

function d=mapgene2clone (cghcum,cghch,mrnacum,mrnach)
	
	l=length(cghcum);
% $$$ 	d=[];
	d=zeros(length(mrnacum),2);
	try
	for i=1:length(mrnacum)
		if (mrnach(i)~=0 & mrnach(i)~=24)
			dist=mrnacum(i)-cghcum;
			[m,ind]=sort(abs(dist));
		% check that the closest clone and the gene are not 
		% in the same chromosome!!!
			c=1;bbb=0;
			while bbb==0 & c<=length(cghch)                   
				if cghch(ind(c))==mrnach(i)
					d(i,1)=ind(c); d(i,2)=m(c); 
					bbb=1;
				end
				c=c+1;
			end
		
			% OLD (skip the gene if the closest clone is on
                        % diff chromosome!!!
% $$$ 			[m,ind]=min(abs(dist));
% $$$ 			% check that the closest clone and the gene are
% $$$                         % in the same chromosome!!!		
% $$$ 			if cghch(ind)==mrnach(i)
% $$$ 				d(i,1)=ind; d(i,2)=m;
% $$$ 			else 
% $$$ 				d(i,1)=0; d(i,2)=0;
% $$$ 			end
	
		else
			d(i,1)=0; d(i,2)=0;
		end
	end
	catch 
		keyboard
	end
	