% INPUT
% ch: chromosome of interest (either a number or [] for all)

function plot_RelevantClone_2fig(cgh,l,rel,relevantW,utili,window,ch,maxpointW)
% load the cumulative position of the chromosomes to determine the x axis limit
	[sch,tmp1,tmp2,e]=textread('chromStartEnd.txt','%s%u%s%u','delimiter',',');
	ekb=round(e./1000); 
	cumekb1= [1;cumsum(ekb)]; cumekb1(end)=[];
	
	clonenum=num2str(size(rel.data,2));
	if isempty(ch);
		x1=cumekb1(1); x2=cumekb1(end);
		filename=[utili.name,clonenum,'_all'];
	else
		x1=cumekb1(ch); x2=cumekb1(ch+1);
		filename=[utili.name,clonenum,'_ch',num2str(ch)];
	end
	
	
% subplot(1)	
	% CGH signal as a median of the two classes
	indp1=find(l==1); 
	indp2=find(l==2);
	
	cgh1=median(cgh.data(indp1,:));
	cgh2=median(cgh.data(indp2,:));
	rel1=median(rel.data(indp1,:));
	rel2=median(rel.data(indp2,:));
	
	figure
	subplot(2,1,1)
	hold on
% $$$ 	plot(cgh.kbcumdis,cgh1,'b');	
% $$$ 	plot(cgh.kbcumdis,cgh2,'g');

	h= plot(rel.kbcumdis,rel1,'*b');
% $$$ 	set(h,'markersize',10)
% $$$ 	set(h,'linewidt',4)
	h=plot(rel.kbcumdis,rel2,'og');
% $$$ 	set(h,'markersize',10)
% $$$ 	set(h,'linewidt',4)
	grid on
	set(gca,'XTickLabel',{'                          1';'                      2';'                 3';'                4';'                5';'                6';'                7';'               8';'         9';'        10';'        11';'        12';'        13';'        14';'        15';'       16';'       17';'     18';'     19';'     20';'     21';'     22';'           X';},'FontSize',7);
   
	set(gca,'XTick',[1  245523 488541 688047 879458 1060316 1231292 1389920 1536195 1674624 1810038 1944490 2076940 2191083 2297452 2397791 2486618 2565393 2641510 2705322 2767758 2814702 2864257]);
	
	y1=min(min(cgh1),min(cgh2)); y2=max(max(cgh1),max(cgh2));
	axis([x1 x2 y1 y2])	
	xlabel('Genome location')%,'fontsize',14,'fontweight','bold')
	legend(utili.class1,utili.class2)
	title(utili.title1)
	
% subplot(2)
subplot(2,1,2)
hold on

for i=1:length(relevantW)
	rw=relevantW{i};
	
	rrr=[];xrrr=[];
	for z=1:size(rw,1)
% $$$ 		rrr=[rrr,[0,1,1,0]];
% $$$ 		xrrr=[xrrr,[rw(z,1)-1,rw(z,1),rw(z,2),rw(z,2)+1]];
		sampl=(floor(rw(z,2)-rw(z,1)) ./10);
		xrrr=[xrrr,[rw(z,1):sampl:rw(z,2),rw(z,2)]];
	end
	rrr =i.*ones(1,length(xrrr));
	
	h=plot(xrrr,rrr,'.');
%	h=plot(xrrr,rrr,'o');
% $$$ 	set(h,'markersize',10)
% $$$ 	set(h,'linewidt',4)
	
	if exist('maxpointW','var')
		
		maxpoint=maxpointW{i};
		plot(maxpoint,i.*ones(1,length(maxpoint)),'*r');
	end
	
end


	set(gca,'XTickLabel',{'                          1';'                      2';'                 3';'                4';'                5';'                6';'                7';'               8';'         9';'        10';'        11';'        12';'        13';'        14';'        15';'       16';'       17';'     18';'     19';'     20';'     21';'     22';'           X';},'FontSize',7);
   
	set(gca,'XTick',[1  245523 488541 688047 879458 1060316 1231292 1389920 1536195 1674624 1810038 1944490 2076940 2191083 2297452 2397791 2486618 2565393 2641510 2705322 2767758 2814702 2864257]);

 	set(gca,'YTickLabel',{window});
	set(gca,'YTick',[ 1:length(window)]);  
	y1=0; y2=length(relevantW)+1;

	ylabel('Size of the window in Mbp')
	xlabel('Genome location')
	title(utili.title2)
	axis([x1 x2 y1 y2])		
	grid on
	
% to save the plot straigth away :)	
%	saveas(gcf,filename,'epsc')