% 
%       data=reduce_data (type,data,ind)
% 
% INPUT 
%   type: type of reduction: 'row'= per patient
%                            'col'= per clones
%   data: structure with the data
%    ind: index with the patient/clones desidered 
% 
% DESCRIPTION: reduce the data according to the given index (ind) and
% the type (either patients or clones) 

function data=reduce_data (type,data,ind)
	
	switch type
	 case 'row'
	  if isfield(data,'data')
		  if ~isempty(data.data)
			  data.data=data.data(ind,:);
		  end
	  end
	  if isfield(data,'rosID')
		  data.rosID=data.rosID(ind);
	  end
	   if isfield(data,'rosIDtxt')
		  data.rosIDtxt=data.rosIDtxt(ind);
	  end
	  if isfield(data,'DNAmaterial')
		  data.DNAmaterial=data.DNAmaterial(ind);  
	  end
	  if isfield(data,'pvalue')
		  data.pvalue=data.pvalue(ind,:);
	  end
	  if isfield(data,'label')
		  data.label=data.label(ind,:);
	  end
	   if isfield(data,'l')
		  data.l=data.l(ind);
	  end
	    if isfield(data,'stanfordID')
		  data.stanfordID=data.stanfordID(ind);
	  end
	  
	  
	 case 'col'
	   if ~isempty(data.data)
		   data.data=data.data(:,ind);
	   end
	  if isfield(data,'ch')
		  data.ch=data.ch(ind);
	  end
	  if isfield(data,'start')
		  data.start=data.start(ind);
	  end
	  if isfield(data,'end')
		  data.end=data.end(ind);  
	  end 
	   if isfield(data,'eend')
		  data.end=data.eend(ind);  
	  end 
	  if isfield(data,'kbmidpos')
		  data.kbmidpos=data.kbmidpos(ind);
	  end
	  if isfield(data,'kbcumdis')
		  data.kbcumdis=data.kbcumdis(ind);
	  end
	  if isfield(data,'pvalue')
		  data.pvalue=data.pvalue(:,ind);
	  end
	  if isfield(data,'gene')
		  data.gene=data.gene(ind);
	  end	  
	  if isfield(data,'gnames')
		  data.gnames=data.gnames(ind);
	  end
	  if isfield(data,'chband')
		  data.chband=data.chband(ind);
	  end
	  if isfield(data,'cloneID')
		  data.cloneID=data.cloneID(ind);
	  end
	   if isfield(data,'cyto')
		   if ~isempty(data.cyto)
		  data.cyto=data.cyto(ind);   
		  end
	   end
	    if isfield(data,'unigeneID')
		  data.unigeneID=data.unigeneID(ind);
	  end
	end
	
	  
	  