% INPUT
% $$$ 	region.sample_point=
% $$$ 	region.sample_point_ch=
% $$$ 	region.pH=
% $$$ 	region.param=param;


%~~~~~~~~~~~~~~~~~~~~	
% $$$ % Bonferroni correction for multiple testing and identification of relevant
% $$$ % windows
% $$$ 	H=SAMPLE_POINTH.*length(SAMPLE_POINT);
% $$$ 	rw=find(H>param.th);
% $$$ 	
% $$$ 	alpha=param.window*ones(1,length(SAMPLE_POINT));
% $$$ 	relevantwindow=[SAMPLE_POINT-alpha;SAMPLE_POINT+alpha]';
% $$$ 	relevantwindow(rw,:)=[];
% $$$ 	relevantCh=SAMPLE_POINTch;
% $$$ 	relevantCh(rw)=[]; relevantCh=unique(relevantCh);	
% $$$ 	
% $$$ 	out=window_reduce_redundant_windows (relevantwindow);
% $$$ 	relevantwindow=out;
	
function [relevantwindow,relevantch]=region_identification (region,cgh,param)
	
	% Bonferroni correction 
	pHbon=region.pH .*length(region.pH); 	
	
	% start and end position for the ch
	[sch,tmp1,tmp2,e]=textread('chromStartEnd.txt','%s%u%s%u','delimiter',',');
	ekb=round(e./1000); 
	cumekb1= [1;cumsum(ekb)]; cumekb1(end)=[];
	
	% CREATE A LIST WITH THE RELEVANT POINT AND POSITIONS OF THE
        % START AND SND OF THE CHROMOSOMES
	samplepoints=(-2).*ones(1,cumekb1(end));
	samplepoints(cumekb1(1:end-1))=-1;
	samplepoints(region.sample_point)= pHbon;
	indsamplepoints=find(samplepoints>=-1);
	value_samplepoints=samplepoints(indsamplepoints);
	
	% make the "interpolation"
	genome=(-2).*ones(1,cumekb1(end-1)); 
	      % this stores the minimum value
	mmmin=min(value_samplepoints(2:end),value_samplepoints(1:end-1)); 
	
	for i=1:length(indsamplepoints)-1
		genome(indsamplepoints(i):indsamplepoints(i+1))=mmmin(i);
	end
	genome(indsamplepoints)=value_samplepoints;
	
	% IDENTIFY THE REGIONS
	% this is a binary vector: the regions are ones, I need to
        % detect the start and end
	genomeok=((genome<=param.th) & (genome>0));
	% compute the derivative, the +1/-1 are the point where is has a max/min
	deriv=diff(genomeok);
	sss=find( deriv >0);
	eee=find( deriv <0);
	relevantwindow=[sss',eee'];
	
	% identify in which ch are the regions
	relevantch=zeros(length(sss),1);
	for i=1:length(sss)
		ccc=sss(i)>cumekb1;
		ccctmp=find(ccc==1);
		relevantch(i)=ccctmp(end);
	end
	

	
	
	
	