%CLOSEMESS Close progress message
%
%   CLOSEMESS(FID,N)
%
% Closes a progress message of length N on file-id FID
%
% If FID is 0 or 1 backspaces are generated removing the
% progress message from the screen.
%
% If FID > 1 an EOL ('\n') is written taking care that
% the progress message is preserved in the file (FID).

% Copyright: R.P.W. Duin, r.p.w.duin@prtools.org
% Faculty EWI, Delft University of Technology
% P.O. Box 5031, 2600 GA Delft, The Netherlands

function closemess(fid,n)

	if prprogress < 2
		c = '\b';
		s1 = repmat('\b',1,n);
		s2 = repmat(' ',1,n);

		prprogress(fid,s1);
		prprogress(fid,s2); % needed for some OS to overwite with spaces
		prprogress(fid,s1); % and resturn the cursor
	else
		prprogress(fid,'\n');
	end
		
return